O Dia da Comunidade de ML é dia 9 de novembro! Junte-nos para atualização de TensorFlow, JAX, e mais Saiba mais

Instalar

Construções estáveis

Instale a versão mais recente de Probabilidade do TensorFlow:

pip install --upgrade tensorflow-probability

A probabilidade do TensorFlow depende de uma versão estável recente do TensorFlow ( tensorflow pacote pip). Consulte as notas da versão da TFP para detalhes sobre as dependências entre o TensorFlow e a Probabilidade do TensorFlow.

Para forçar uma instalação específica do Python 3, substitua pip por pip3 nos comandos acima. Para obter ajuda adicional de instalação, orientação de instalação de pré-requisitos e (opcionalmente) configuração de ambientes virtuais, consulte o guia de instalação do TensorFlow .

Construções noturnas

Também há compilações noturnas de Probabilidade do TensorFlow no pacote pip tfp-nightly , que depende de um de tf-nightly e tf-nightly-gpu . As compilações noturnas incluem recursos mais recentes, mas podem ser menos estáveis ​​do que as versões com versão.

Instalar da fonte

Você também pode instalar a partir da fonte. Isso requer o sistema de compilação do Bazel . É altamente recomendável que você instale a compilação noturna do TensorFlow ( tf-nightly ) antes de tentar construir a Probabilidade do TensorFlow a partir da fonte.

  sudo apt-get install bazel git python-pip
  python -m pip install --upgrade --user tf-nightly
  git clone https://github.com/tensorflow/probability.git
  cd probability
  bazel build --copt=-O3 --copt=-march=native :pip_pkg
  PKGDIR=$(mktemp -d)
  ./bazel-bin/pip_pkg $PKGDIR
  python -m pip install --upgrade --user $PKGDIR/*.whl